#include<bits/stdc++.h>
using namespace std;
long long masiv[5000];
int main ()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int N;
    cin >> N;
    int max_ = 0;
    for(int i = 0; i < N; i++)
    {
        int A, B;
        cin >> A >> B;
        max_ = max(A, max_);
        max_ = max(B, max_);
        for(int j = A; j < B; j++)
        {
            masiv[j]++;
        }
    }
    /*for(int i = 0; i <= max_; i++)
    {
        cout << masiv[i] << " ";
    } */
    int br = 1, max_ots = masiv[1];
    for(int i = 2; i <= max_; i++)
    {
        if(masiv[i] == max_ots)
        {
            br++;
        }
        if(masiv[i] > max_ots)
        {
            max_ots = masiv[i];
            br = 1;
        }
    }
    cout << max_ots << endl;
    cout << br << endl;
    return 0;
}
